Name:		jogl
Version:	1.1.1
Release:	6%{?dist}
Summary:	Java bindings for the OpenGL API

Group:		Development/Libraries
License:	BSD
URL:		http://jogl.dev.java.net
Source0:	http://download.java.net/media/jogl/builds/archive/jsr-231-1.1.1a/jogl-1.1.1a-src.zip
Source1:	%{name}.properties
Patch0:		X11R6.patch
Patch1:		fixdebuginfo.patch

BuildRequires:	ant-antlr
BuildRequires:	java-1.6.0-openjdk-devel >= 1:1.6
BuildRequires:	jpackage-utils
BuildRequires:	mesa-libGLU-devel
BuildRequires:	libX11-devel
BuildRequires:	gtkglext-devel
BuildRequires:	libXt-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	gluegen-source

Requires:	jpackage-utils
Requires:	java >= 1:1.6
Requires:	gluegen

%{?_with_Cg:BuildRequires: Cg}

%description
The JOGL project hosts the development version of the Java Binding for
the OpenGL API (JSR-231), and is designed to provide hardware-supported 3D
graphics to applications written in Java. JOGL provides full access to the
APIs in the OpenGL 2.0 specification as well as nearly all vendor extensions,
and integrates with the AWT and Swing widget sets. It is part of a suite of
open-source technologies initiated by the Game Technology Group at
Sun Microsystems.

%package javadoc
Summary:	Javadoc for jogl
Group:		Development/Libraries

%description javadoc
Javadoc for jogl.

%package manual
Summary:	User manual for jogl
Group:		Development/Libraries

%description manual
User manual for jogl

%prep
%setup -q -n %{name}
rm -rdf ../gluegen
iconv -f iso8859-1 -t utf-8 README.txt > README.txt.conv && mv -f README.txt.conv README.txt
cp -rdf %{_datadir}/gluegen-source/gluegen ..
%patch0 -p1 -b .X11R6
%patch1 -p1 -b .fixdebuginfo

%build
cd make
ant \
    -Duser.home=%{_topdir}/SOURCES \
    -Dantlr.jar=$(build-classpath antlr) \
    all \
    javadoc.dev.x11
cd ..

%install
rm -rf %{buildroot}
# jars
mkdir -p %{buildroot}%{_javadir}
install -pm 0644 build/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# native lib
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -m 744 build/obj/lib*.so \
	%{buildroot}%{_libdir}/%{name}


# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr javadoc_jogl_dev/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt CHANGELOG.txt COPYRIGHT.txt README.txt
%{_javadir}/*.jar
%attr(755,root,root) %{_libdir}/%{name}/libjogl.so
%attr(755,root,root) %{_libdir}/%{name}/libjogl_awt.so

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%doc doc/*


%changelog
* Sun Apr 04 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-6
- Added post and postum section
* Fri Apr 02 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-5
- New approach on using the gluegen source, now, JOGL is "cp"ing it
* Tue Mar 09 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-4
- Some cleaning on .spec
* Tue Mar 09 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-3
- Changes to use the new gluegen-source package
* Fri Feb 26 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-2
- Refinements in .spec
* Sat Feb 20 2010 Henrique Junior and Sylvestre Lendru <lspooky@fedoraproject.org> - 1.1.1-1
- Initial package.
